summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2017-04-16 03:20:30 +0200
committerManuel Rüger <mrueg@gentoo.org>2017-04-16 03:20:30 +0200
commitacb8ba0f5cb508eca7a0554800c3cd7d6574b913 (patch)
treea450fff2bae64ccb52f60d2bde83c47979215f4f /dev-python/pytz/pytz-2017.2.ebuild
parentapp-emulation/docker-registry: Version bump to 2.6.1 (diff)
downloadgentoo-acb8ba0f5cb508eca7a0554800c3cd7d6574b913.tar.gz
gentoo-acb8ba0f5cb508eca7a0554800c3cd7d6574b913.tar.bz2
gentoo-acb8ba0f5cb508eca7a0554800c3cd7d6574b913.zip
dev-python/pytz: Version bump to 2017.2
Package-Manager: Portage-2.3.5, Repoman-2.3.2
Diffstat (limited to 'dev-python/pytz/pytz-2017.2.ebuild')
-rw-r--r--dev-python/pytz/pytz-2017.2.ebuild35
1 files changed, 35 insertions, 0 deletions
diff --git a/dev-python/pytz/pytz-2017.2.ebuild b/dev-python/pytz/pytz-2017.2.ebuild
new file mode 100644
index 00000000000..7da38c7b7a2
--- /dev/null
+++ b/dev-python/pytz/pytz-2017.2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="World timezone definitions for Python"
+HOMEPAGE="http://pythonhosted.org/pytz/ https://pypi.python.org/pypi/pytz/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.zip"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE=""
+
+RDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ || ( >=sys-libs/timezone-data-2016j sys-libs/glibc[vanilla] )"
+DEPEND="${RDEPEND}
+ app-arch/unzip"
+
+PATCHES=(
+ # Use timezone-data zoneinfo.
+ "${FILESDIR}"/2016.6.1-zoneinfo.patch
+ # ...and do not install a copy of it.
+ "${FILESDIR}"/${PN}-2009h-zoneinfo-noinstall.patch
+)
+
+python_test() {
+ "${PYTHON}" pytz/tests/test_tzinfo.py -v || die "Tests fail with ${EPYTHON}"
+}